Advisory Details

October 4th, 2023

(0Day) D-Link DIR-X3260 prog.cgi Incorrect Implementation of Authentication Algorithm Authentication Bypass Vulnerability

ZDI-23-1518
ZDI-CAN-21100

CVE ID CVE-2023-44420
CVSS SCORE 8.8, (AV:A/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H)
AFFECTED VENDORS D-Link
AFFECTED PRODUCTS DIR-X3260
VULNERABILITY DETAILS

This vulnerability allows network-adjacent attackers to bypass authentication on affected installations of D-Link DIR-X3260 routers. Authentication is not required to exploit this vulnerability.

The specific flaw exists within the prog.cgi executable. The issue results from an incorrect implementation of the authentication algorithm. An attacker can leverage this vulnerability to bypass authentication on the device.

ADDITIONAL DETAILS

05/17/23 – ZDI reported the vulnerability to the vendor.

08/25/23 – ZDI asked for an update.

08/30/23 – The vendor states the fix is still under development.

09/29/23 – The ZDI informed the vendor that the case will be published as a zero-day advisory on 10/04/23.

-- Mitigation: Given the nature of the vulnerability, the only salient mitigation strategy is to restrict interaction with the application.


DISCLOSURE TIMELINE
  • 2023-05-17 - Vulnerability reported to vendor
  • 2023-10-04 - Coordinated public release of advisory
CREDIT Nicholas Zubrisky
BACK TO ADVISORIES